> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取发布记录详情

> 接口说明：根据记录 ID 获取发布记录详情



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/v2/channels/publish/records/{recordId}:
    get:
      tags:
        - 渠道管理/内容发布
      summary: 获取发布记录详情
      description: 接口说明：根据记录 ID 获取发布记录详情
      operationId: PublishRecordController_getRecord_v2
      parameters:
        - name: recordId
          in: path
          description: 发布记录 ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelPublishRecordVo'
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      id: string
                      accountType: douyin
                      type: video
                      status: -1
                      publishTime: '2026-07-02T12:00:00.000Z'
                      flowId: string
                      taskId: string
                      userTaskId: string
                      accountId: string
                      title: string
                      desc: string
                      platformWorkId: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: 参数验证失败
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: 未认证或 API Key 无效
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                publishRecordNotFound15000:
                  summary: PublishRecordNotFound (15000)
                  value:
                    code: 15000
                    message: 发布记录未找到
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelPublishRecordVo:
      type: object
      properties:
        id:
          type: string
          description: 发布记录 ID
        flowId:
          type: string
          description: 发布 Flow ID
        taskId:
          description: 外部任务 ID
          type: string
        userTaskId:
          description: 用户任务 ID
          type: string
        accountId:
          type: string
          description: 账号 ID
        accountType:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: 账号平台
        type:
          type: string
          enum:
            - video
            - article
          description: 发布类型
        status:
          description: 发布状态
          type: number
          enum:
            - -1
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
        title:
          description: 标题
          type: string
        desc:
          description: 正文
          type: string
        publishTime:
          description: 发布时间
          type: string
          format: date-time
        platformWorkId:
          description: 平台作品 ID
          type: string
        workLink:
          description: 作品链接
          type: string
        linkStatus:
          description: 作品链接状态
          type: string
          enum:
            - pending
            - ready
            - failed
        linkError:
          description: 作品链接获取错误
          type: string
        linkMeta:
          description: 作品链接扩展信息
          type: object
          additionalProperties: true
          properties: {}
        videoUrl:
          description: 视频 URL
          type: string
        coverUrl:
          description: 封面 URL
          type: string
        imgUrlList:
          description: 图片 URL 列表
          type: array
          items:
            type: string
        source:
          description: 发布来源
          type: string
          enum:
            - publish
            - task_link
            - offline_qr
            - btl
            - web
            - api
            - internal
            - mcp
        errorMsg:
          description: 错误信息
          type: string
        errorData:
          description: 发布错误详情
          type: object
          properties:
            type:
              type: string
              description: 错误类型
            code:
              type: string
              description: 错误码
            message:
              type: string
              description: 错误消息
          required:
            - type
            - code
            - message
        createdAt:
          type: string
          format: date-time
          description: 创建时间
        updatedAt:
          type: string
          format: date-time
          description: 更新时间
      required:
        - id
        - accountType
        - type
        - status
        - publishTime
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: AiToEarn Open Platform API Key。

````